function x = DDMz1z1pq( DDMrow, q,d,r)
% Generates the matrix: d^2 M/dz1 dz(1+q)
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.

% Initialize
  x = DDMrow(:,:,1,1+q);
      
    % Construct remainder:
      for j = 1:r-1
      a = rem(q+1 -j +r,r);
        if a==0
          a = r;
        end
      b = r-j+1;
      A = min(a,b);
      B = max(a,b);
        x  = [ x;
               rot( DDMrow(:,:,A,B) ,r-j,d,r) ];
      end


% B. Shapiro, Caltech, 03/24/98.

%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.
