% Test speed of exact versus approximate response:
% Run show_fast first to generate Mofy, Bofy, y ...

w = 1.1;

tic
  % NEW: Define Mofy here to fairly compare
  % speed of exact vs approx. method.
  % Compute mistuned eigenvalues:
    % Construct M(y): (same as in Opt -> cost.m)
    zeta = 0.00032;
    for j = 0:r-1
      Mofy(j*d+1:(j+1)*d,:) = rot( MrowTun, r-j, d, r); % Tuned part.
        % Now modify by mistuning: elements (2,1) and (2,2).
          Mofy((j+1)*d,j*d+1) = Mofy((j+1)*d,j*d+1) ...
                              -2*y(j+1) -y(j+1)^2;
          Mofy((j+1)*d,j*d+2) = Mofy((j+1)*d,j*d+2) ...
                              -2*zeta*y(j+1);
    end
    % Got M(y).
    % I need to create the B(y) forcing vector:
     % For special case of PW model, B(y) = B(0) is easy.
       prow = p(l,r).^(0:1:r-1);    % [1,pl,pl^2,...,pl^(r-1)]
       Bofy = kron(prow.',betaTun);    % B(0)
    % Got B(y).
  % These are the FAST Mofy and Bofy.

  exact_resp(Mofy,Bofy,w,r,d);
toc


tic
  Xsec(y,l,w);
toc


% Comparison times:
%   Exact: 0.055 seconds.
%   Approx: 0.23 seconds.
% So approx. is almost 4 times slower.
% (But not orders of magnitude slower 
% as it used to be.)
% 04/29/98.

% NOTE: This doesn't take into account how long it takes
% to create the mistuned matrice/vector Mofy/Bofy. Taking
% this into account, the approx. does better.
% Now:
%   Exact: 0.1 seconds
%   Approx: 0.23 seconds. 
% If I go in and make Mofy the slow version (using the
% symbolic Mrow(z)) then approx should be faster then
% exact. (Don't bother checking, result not worth the
% effort.)