function x = SumUMVvk(V,UMV,eigs,j,i,d,r)
% Computes: dvj/dzi (v is right eigenvector)
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.

% Use as: jth csym_i.
  n = d*r;

  % jth eigenvalue:
    eigsj = eigs(j);

  % Initialize
    x = zeros(d,1);

  % Sum over all k neq j:
  for k = 1:j-1
       x = x + ( Pjki(j,k,i-1,d,r) * UMV(k,j) / (eigsj - eigs(k) ) )*V(1:d,k);
  end
  for k = j+1:n
       x = x + ( Pjki(j,k,i-1,d,r) * UMV(k,j) / (eigsj - eigs(k) ) )*V(1:d,k);
  end


% Computes the vector term: 
%   dvj/dzi  = Sum[ { Uk dM/dzi Vj/(lambda_j-lambda_k) } vk ]
% which generates a d sized complex column vector.

% B. Shapiro, Caltech, 04/22/98.

