function x = exact_resp(M,B,w,r,d)
% Given matrix M, forcing vector B,
% and forcing freq. w, returns position
% elements of the exact response:
%
%     X = Inv[iwI-M] B
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.


  % Full exact response:
  X = ( i*w*eye(r*d)-M )\B;
    % Changed from Inv[A]*B to A\B on 04/27/98.

  % Take pth elements, p between 1 and d.
  % eg: p=1 (position), p=2 (velocity).
    p = 1;

  x = zeros(r,1);
  for j = 1:r
   x(j) = X( (j-1)*d +p );
  end
 

% B. Shapiro, Caltech, 04/27/98.
